- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# enorm< sq_T > Class Template Reference

Gaussian density with positive definite (decomposed) covariance matrix. More...

`#include <libEF.h>`

Inheritance diagram for enorm< sq_T >:

[legend]
Collaboration diagram for enorm< sq_T >:

[legend]

List of all members.

## Public Member Functions
| enorm (RV &rv)
| Default constructor.
void | set_parameters (const vec &mu, const sq_T &R)
| Set mean value `mu` and covariance `R`.
void | tupdate (double phi, mat &vbar, double nubar)
| tupdate in exponential form (not really handy)
void | dupdate (mat &v, double nu=1.0)
| dupdate in exponential form (not really handy)
vec | sample () const
| Returns the required moment of the epdf.
mat | sample (int N) const
| TODO is it used?
double | eval (const vec &val) const
| Compute probability of argument `val`.
double | evalpdflog (const vec &val) const
| Compute log-probability of argument `val`.
vec | mean () const
| return expected value
vec * | _mu ()
| returns a pointer to the internal mean value. Use with Care!
void | _R (sq_T *&pR, sq_T *&piR)
| returns pointers to the internal variance and its inverse. Use with Care!
void | _cached (bool what)
| set cache as inconsistent
RV | _rv () const
| access function
## Protected Attributes
vec | mu
| mean value
sq_T | R
| Covariance matrix in decomposed form.
sq_T | _iR
| Cache: _iR = inv(R);.
bool | cached
| indicator if `_iR` is chached
int | dim
| dimension (redundant from rv.count() for easier coding )
RV | rv
| Identified of the random variable.

## Detailed Description

### template<class sq_T>
class enorm< sq_T >

Gaussian density with positive definite (decomposed) covariance matrix.

More?...

## Member Function Documentation

template<class sq_T>

vec enorm< sq_T >::sample | ( |  | ) | const`[inline, virtual]`

Returns the required moment of the epdf.

Returns a sample from the density,

Implements epdf.

The documentation for this class was generated from the following file:

- work/mixpp/bdm/stat/libEF.h